Bug 745447 (CVE-2011-3554) - CVE-2011-3554 OpenJDK: insufficient pack200 JAR files uncompress error checks (Runtime, 7057857)
Summary: CVE-2011-3554 OpenJDK: insufficient pack200 JAR files uncompress error checks...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-3554
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 744786 744787 744788 744789 744819 744820 744822 755960 755961 755962 769184 769185 769186
Blocks: 744688
TreeView+ depends on / blocked
 
Reported: 2011-10-12 11:52 UTC by Tomas Hoger
Modified: 2021-02-24 14:31 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-14 13:52:28 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1380 0 normal SHIPPED_LIVE Critical: java-1.6.0-openjdk security update 2011-10-18 23:26:12 UTC
Red Hat Product Errata RHSA-2011:1384 0 normal SHIPPED_LIVE Critical: java-1.6.0-sun security update 2011-10-19 17:22:32 UTC
Red Hat Product Errata RHSA-2011:1478 0 normal SHIPPED_LIVE Critical: java-1.5.0-ibm security update 2011-11-24 21:02:20 UTC
Red Hat Product Errata RHSA-2012:0034 0 normal SHIPPED_LIVE Critical: java-1.6.0-ibm security update 2012-01-19 00:24:35 UTC
Red Hat Product Errata RHSA-2013:1455 0 normal SHIPPED_LIVE Low: Red Hat Network Satellite server IBM Java Runtime security update 2013-10-23 20:30:21 UTC

Description Tomas Hoger 2011-10-12 11:52:41 UTC
It was discovered that an unpacker for JAR files using pack200 format did not properly check for errors.  A specially crafted pack200 file could crash Java Virtual Machine or, possibly, execute arbitrary code with JVM privileges.

Comment 3 Vincent Danen 2011-10-18 20:52:07 UTC
External References:

http://www.oracle.com/technetwork/topics/security/javacpuoct2011-443431.html

Comment 4 errata-xmlrpc 2011-10-18 23:26:31 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2011:1380 https://rhn.redhat.com/errata/RHSA-2011-1380.html

Comment 6 errata-xmlrpc 2011-10-19 17:22:48 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6
  Supplementary for Red Hat Enterprise Linux 5
  Extras for RHEL 4

Via RHSA-2011:1384 https://rhn.redhat.com/errata/RHSA-2011-1384.html

Comment 7 Fedora Update System 2011-11-05 01:26:38 UTC
java-1.6.0-openjdk-1.6.0.0-60.1.10.4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 errata-xmlrpc 2011-11-24 16:03:16 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Extras for RHEL 4
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2011:1478 https://rhn.redhat.com/errata/RHSA-2011-1478.html

Comment 9 errata-xmlrpc 2012-01-18 19:26:05 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Extras for RHEL 4
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2012:0034 https://rhn.redhat.com/errata/RHSA-2012-0034.html

Comment 10 errata-xmlrpc 2013-10-23 17:01:20 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.4

Via RHSA-2013:1455 https://rhn.redhat.com/errata/RHSA-2013-1455.html


Note You need to log in before you can comment on or make changes to this bug.